      MODULE ctlblk_comm
!-----------------------------------------------------------------------
     implicit none
     save
      LOGICAL :: run, first, restrt, sigma, subpost,lcornerm
      integer::iout,idat(3),  &
          ihrst,nfcst,nbc,list,  &
          ntsd,ntstm,nddamp,nprec,idtad,nboco,nshde,ncp,  &
          nphs,ncnvc,nrads,nradl,ntddmp, &
	  nstart,outstr,ndassim,ndassimm,initsst !DRAGAN
      real::dt
!-----------------------------------------------------------------------
      END MODULE ctlblk_comm
